<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<div class="card">
  <div *ngIf="ballotFilled" class="ballot-filled-marker" aria-hidden="true">
    {{ 'ballot-list.ballot-filled' | translate }}
    <i class="fas fa-check-circle fa-lg" data-fa-transform="right-6"></i>
  </div>
  <div class="form-note">

    <div class="description">
      <chvote-ballot-header [ballot]="ballot" display="ballot"></chvote-ballot-header>
      <div class="details">
        <span [innerHTML]="description" class="subject-count"></span>
        <actions-on-ballots *ngIf="ballotFilled" [ballots]="[ballot]" [isVotation]="isVotation"></actions-on-ballots>
      </div>
    </div>

    <button *ngIf="!ballotFilled"
            mat-raised-button
            class="primary participate-button"
            (click)="participate(true)">
      {{ 'global.actions.participate' | translate }}
    </button>

  </div>
</div>

